Name:           asahi-firstboot
Version:        20230128
Release:        %mkrel 1
Summary:        asahi first-boot service and script
License:        MIT
URL:            https://github.com/leifliddy/asahi-scripts
Source0:        asahi-firstboot.tar.gz
BuildRequires:  systemd
Requires:       bash
Requires:       btrfs-progs
Requires:       cloud-utils-growpart
Requires:       dosfstools
Requires:       e2fsprogs
Requires:       grub2-common
Requires:       rsync
Requires:       sed
Requires:       systemd
BuildArch:      noarch

%description
This package contains the asahi-firstboot service

%prep
%setup -n asahi-firstboot

%install
install -Dpm0644 -t %{buildroot}%{_unitdir} systemd/asahi-firstboot.service
install -Dpm0755 -t %{buildroot}%{_sbindir} sbin/first-boot
install -Dpm0755 -t %{buildroot}%{_sbindir} sbin/create-efi-bootloader
install -Dpm0644 -t %{buildroot}%{_unitdir} systemd/asahi-firstboot.service

%post
ln -srf %{_unitdir}/asahi-firstboot.service %{_unitdir}/sysinit.target.wants

%transfiletriggerin -- %{_sysconfdir}/grub.d/
chmod -x %{_sysconfdir}/grub.d/30_uefi-firmware

%files
%license LICENSE
%{_sbindir}/first-boot
%{_sbindir}/create-efi-bootloader
%{_unitdir}/asahi-firstboot.service
%ghost %{_unitdir}/sysinit.target.wants/asahi-firstboot.service
